Index: /trunk/BNC/bnchelp.html
===================================================================
--- /trunk/BNC/bnchelp.html	(revision 2474)
+++ /trunk/BNC/bnchelp.html	(revision 2475)
@@ -64,15 +64,15 @@
 The first of the following figures shows a flow chart of BNC connected to a GNSS receiver via serial or TCP communication link for the pupose of Precise Point Positioning. The second figure shows the conversion of RTCM streams to RINEX batches. The third figure shows a flow chart of BNC feeding a real-time GNSS engine. The engine then estimates satellite orbit and clock correctors. The 'BKG Ntrip Server' (BNS) is used in this scenario to encode correctors to RTCMv3.
 </p>
-<p><img src="IMG/screenshot10.png"/></p>
+<p><img src=":bnchelp/screenshot10.png"/></p>
 <p><u>Figure:</u> Flowchart, BNC connected to a GNSS receiver for Precise Point Positioning.</p>
 
 <p>
 </p>
-<p><img src="IMG/screenshot01.png"/></p>
+<p><img src=":bnchelp/screenshot01.png"/></p>
 <p><u>Figure:</u> Flowchart, BNC converting RTCM streams to RINEX batches.</p>
 
 <p>
 </p>
-<p><img src="IMG/screenshot02.png"/></p>
+<p><img src=":bnchelp/screenshot02.png"/></p>
 <p><u>Figure:</u> Flowchart, BNC feeding a real-time GNSS engine.</p>
 
@@ -95,5 +95,5 @@
 The main window of BNC shows a top menu bar section, a sections for tabs to set processing options, a 'Streams' section and a section for 'Log' tabs, and a bottom menu bar section, see figure below.
 </p>
-<p><img src="IMG/screenshot09.png"/></p>
+<p><img src=":bnchelp/screenshot09.png"/></p>
 <p><u>Figure:</u> Sections on BNC's main window.</p>
 
@@ -300,5 +300,5 @@
 The screenshot below shows an example setup of BNC when converting streams to RINEX. Streams are coming in from various NTRIP broadcasters as well as via a plain UDP and a serial communication link. Decoder 'ZERO' has been selected for one stream to not convert its contents but save it in original format.
 </p>
-<p><img src="IMG/screenshot16.png"/></p>
+<p><img src=":bnchelp/screenshot16.png"/></p>
 <p><u>Figure:</u> BNC translating incoming streams to 15 min RINEX Version 3 files.</p>
 
@@ -759,5 +759,5 @@
 The following figure shows the screenshot of a BNC configuration where a number if streams is pulled from different NTRIP broadcasters to feed a GNSS engine via IP port output.
 </p>
-<p><img src="IMG/screenshot12.png"/></p>
+<p><img src=":bnchelp/screenshot12.png"/></p>
 <p><u>Figure:</u> Synchronized BNC output via IP port to feed a GNSS real-time engine.</p>
 
@@ -798,5 +798,5 @@
 </p>
 </p>
-<p><img src="IMG/screenshot11.png"/></p>
+<p><img src=":bnchelp/screenshot11.png"/></p>
 <p><u>Figure:</u> BNC pulling a VRS stream to feed a serial connected rover.</p>
 
@@ -946,5 +946,5 @@
 The following figure shows RTCM message numbers contained in stream 'CONZ0' and the message latencies recorded every 10 seconds.
 </p>
-<p><img src="IMG/screenshot14.png"/></p>
+<p><img src=":bnchelp/screenshot14.png"/></p>
 <p><u>Figure:</u> RTCM message numbers and latencies.</p>
 
@@ -1020,5 +1020,5 @@
 The following figure provides the screenshot of an example PPP session with BNC.
 </p>
-<p><img src="IMG/screenshot03.png"/></p>
+<p><img src=":bnchelp/screenshot03.png"/></p>
 <p><u>Figure:</u> Precise Point Positioning (PPP) with BNC.</p>
 
@@ -1232,5 +1232,5 @@
 <p>
 </p>
-<p><img src="IMG/screenshot08.png"/></p>
+<p><img src=":bnchelp/screenshot08.png"/></p>
 <p><u>Figure:</u> Bandwidth consumption of incoming streams.</p>
 
@@ -1242,5 +1242,5 @@
 <p>
 </p>
-<p><img src="IMG/screenshot07.png"/></p>
+<p><img src=":bnchelp/screenshot07.png"/></p>
 <p><u>Figure:</u> Latency of incoming streams.</p>
 
@@ -1252,5 +1252,5 @@
 <p>
 </p>
-<p><img src="IMG/screenshot13.png"/></p>
+<p><img src=":bnchelp/screenshot13.png"/></p>
 <p><u>Figure:</u> Time series plot of PPP session.</p>
 
@@ -1260,5 +1260,5 @@
 </p>
 
-<p><img src="IMG/screenshot06.png"/></p>
+<p><img src=":bnchelp/screenshot06.png"/></p>
 <p><u>Figure:</u> Steam input communication links.</p>
 
@@ -1279,5 +1279,6 @@
 </p> 
 </p>
-<p><img src="IMG/screenshot04.png"/></p>
+<p><img src=":bnchelp/screenshot04.png"/></p>
+
 <p><u>Figure:</u> Casters table.</p>
 
@@ -1299,5 +1300,5 @@
 </p> 
 </p>
-<p><img src="IMG/screenshot05.png"/></p>
+<p><img src=":bnchelp/screenshot05.png"/></p>
 <p><u>Figure:</u> Broadcaster source-table.</p>
 
@@ -1394,5 +1395,5 @@
 The following figure shows a BNC example setup for pulling a stream via serial port on a Linux operating system.
 </p>
-<p><img src="IMG/screenshot15.png"/></p>
+<p><img src=":bnchelp/screenshot15.png"/></p>
 <p><u>Figure:</u> BNC setup for pulling a stream via serial port.</p>
 