Index: trunk/BNC/RTCM/GPSDecoder.h
===================================================================
--- trunk/BNC/RTCM/GPSDecoder.h	(revision 2689)
+++ trunk/BNC/RTCM/GPSDecoder.h	(revision 2690)
@@ -58,7 +58,4 @@
     S2            = 0.0;
     S5            = 0.0;
-    SNR1          = 0;
-    SNR2          = 0;
-    SNR5          = 0;
     StatID[0]     = '\x0';
   }
@@ -81,13 +78,10 @@
   double L2;            // L2 carrier phase (cycles)
   double L5;            // L5 carrier phase (cycles)
+  double S1;            // raw L1 signal strength
+  double S2;            // raw L2 signal strength
+  double S5;            // raw L5 signal strength
   int    slip_cnt_L1;   // L1 cumulative loss of continuity indicator (negative value = undefined)
   int    slip_cnt_L2;   // L2 cumulative loss of continuity indicator (negative value = undefined)
   int    slip_cnt_L5;   // L5 cumulative loss of continuity indicator (negative value = undefined)
-  double S1;            // L1 signal-to noise ratio
-  double S2;            // L2 signal-to noise ratio
-  double S5;            // L5 signal-to noise ratio
-  int    SNR1;          // L1 signal-to noise ratio (mapped to integer)
-  int    SNR2;          // L2 signal-to noise ratio (mapped to integer)
-  int    SNR5;          // L5 signal-to noise ratio (mapped to integer)
 };
 
Index: trunk/BNC/RTCM3/RTCM3Decoder.cpp
===================================================================
--- trunk/BNC/RTCM3/RTCM3Decoder.cpp	(revision 2689)
+++ trunk/BNC/RTCM3/RTCM3Decoder.cpp	(revision 2690)
@@ -371,10 +371,8 @@
                            iEntry == GNSSENTRY_L1PDATA) {
                     obs->_o.L1   = gnssData.measdata[iSat][iEntry];
-                    obs->_o.SNR1 = gnssData.snrL1[iSat];
                   }
                   else if (iEntry == GNSSENTRY_L2CDATA || 
                            iEntry == GNSSENTRY_L2PDATA) {
                     obs->_o.L2   = gnssData.measdata[iSat][iEntry];
-                    obs->_o.SNR2 = gnssData.snrL2[iSat];
                   }
                   else if (iEntry == GNSSENTRY_S1CDATA ||
Index: trunk/BNC/RTIGS/RTIGSDecoder.cpp
===================================================================
--- trunk/BNC/RTIGS/RTIGSDecoder.cpp	(revision 2689)
+++ trunk/BNC/RTIGS/RTIGSDecoder.cpp	(revision 2690)
@@ -129,6 +129,4 @@
       obs->_o.S1       = _GPSTrans.DecObs.Obs[ii].l1_sn;
       obs->_o.S2       = _GPSTrans.DecObs.Obs[ii].l2_sn;
-      obs->_o.SNR1     = int(ceil(_GPSTrans.DecObs.Obs[ii].l1_sn / 60.0 * 9.0));
-      obs->_o.SNR2     = int(ceil(_GPSTrans.DecObs.Obs[ii].l2_sn / 60.0 * 9.0));
     }
   }
Index: trunk/BNC/bnccaster.cpp
===================================================================
--- trunk/BNC/bnccaster.cpp	(revision 2689)
+++ trunk/BNC/bnccaster.cpp	(revision 2690)
@@ -368,6 +368,5 @@
           _out->setFieldWidth(1); *_out << " ";
           _out->setFieldWidth(14); _out->setRealNumberPrecision(3); *_out << obs->_o.S2;
-          _out->setFieldWidth(1); 
-          *_out << " " << obs->_o.SNR1 << " " << obs->_o.SNR2 << endl;
+          *_out << endl;
           if (!it.hasNext()) {
             _out->setFieldWidth(1); *_out << endEpoch << endl;
Index: trunk/BNC/bncrinex.cpp
===================================================================
--- trunk/BNC/bncrinex.cpp	(revision 2689)
+++ trunk/BNC/bncrinex.cpp	(revision 2690)
@@ -413,11 +413,11 @@
       else if (line.indexOf("# / TYPES OF OBSERV") != -1) {
         if (_rinexVers == 3) {
-          _out << "G   10 C1C C1P L1C S1C C2W C2P L2W S2W L2P S2P              SYS / # / OBS TYPES" << endl;
-          _out << "R   10 C1C C1P L1C S1C C2C C2P L2C S2C L2P S2P              SYS / # / OBS TYPES" << endl;
+          _out << "G    8 C1C C1P L1C S1C C2W C2P L2W S2W                      SYS / # / OBS TYPES" << endl;
+          _out << "R    8 C1C C1P L1C S1C C2C C2P L2C S2C                      SYS / # / OBS TYPES" << endl;
           _out << "E    6 C1X L1X S1X C5X L5X S5X                              SYS / # / OBS TYPES" << endl;
           _out << "S    3 C1C L1C S1C                                          SYS / # / OBS TYPES" << endl;
         }
         else { 
-          _out << "     8    C1    C2    P1    P2    L1    L2    S1    S2"
+          _out << "     8    C1    P1    L1    S1    C2    P2    L2    S2"
                   "      # / TYPES OF OBSERV"  << endl;
         }
@@ -485,6 +485,6 @@
          << "                  "                                     << "ANTENNA: DELTA H/E/N" << endl;
     if (_rinexVers == 3) {
-      _out << "G   10 C1C C1P L1C S1C C2W C2P L2W S2W L2P S2P              SYS / # / OBS TYPES" << endl;
-      _out << "R   10 C1C C1P L1C S1C C2C C2P L2C S2C L2P S2P              SYS / # / OBS TYPES" << endl;
+      _out << "G    8 C1C C1P L1C S1C C2W C2P L2W S2W                      SYS / # / OBS TYPES" << endl;
+      _out << "R    8 C1C C1P L1C S1C C2C C2P L2C S2C                      SYS / # / OBS TYPES" << endl;
       _out << "E    6 C1X L1X S1X C5X L5X S5X                              SYS / # / OBS TYPES" << endl;
       _out << "S    3 C1C L1C S1C                                          SYS / # / OBS TYPES" << endl;
@@ -492,5 +492,5 @@
     else {
       _out << "     1     1                                                WAVELENGTH FACT L1/2" << endl;
-      _out << "     8    C1    C2    P1    P2    L1    L2    S1    S2      # / TYPES OF OBSERV"  << endl;
+      _out << "     8    C1    P1    L1    S1    C2    P2    L2    S2      # / TYPES OF OBSERV"  << endl;
     }
     _out << datTim.toString("  yyyy    MM    dd"
@@ -633,32 +633,19 @@
         _out << obs->_o.satSys 
              << setw(2) << setfill('0') << obs->_o.satNum << setfill(' ')
-             << setw(14) << setprecision(3) << obs->_o.C1 << "  "  
-             << setw(14) << setprecision(3) << obs->_o.P1 << "  "  
-             << setw(14) << setprecision(3) << obs->_o.L1 << lli1
-             << setw(1)                     << obs->_o.SNR1
-             << setw(14) << setprecision(3) << obs->_o.S1 << "  " 
-             << setw(14) << setprecision(3) << obs->_o.C2 << "  "  
-             << setw(14) << setprecision(3) << obs->_o.P2 << "  " ;
-        if ((obs->_o.C2 != 0.0) && (obs->_o.P2 == 0.0)) {
-          _out << setw(14) << setprecision(3) << obs->_o.L2 << lli2
-               << setw(1)                     << obs->_o.SNR2
-               << setw(14) << setprecision(3) << obs->_o.S2 << "  "
-               << "         0.000           0.000  ";
-        }
-        else {
-          _out << "         0.000           0.000  " 
-               << setw(14) << setprecision(3) << obs->_o.L2 << " " 
-               << setw(1)                     << obs->_o.SNR2
-               << setw(14) << setprecision(3) << obs->_o.S2;
-        } 
-        _out << endl;
+             << setw(14) << setprecision(3) << obs->_o.C1 << ' '  << ' '  
+             << setw(14) << setprecision(3) << obs->_o.P1 << ' '  << ' '  
+             << setw(14) << setprecision(3) << obs->_o.L1 << lli1 << ' '
+             << setw(14) << setprecision(3) << obs->_o.S1 << ' '  << ' ' 
+             << setw(14) << setprecision(3) << obs->_o.C2 << ' '  << ' '  
+             << setw(14) << setprecision(3) << obs->_o.P2 << ' '  << ' ' 
+             << setw(14) << setprecision(3) << obs->_o.L2 << lli2 << ' ' 
+             << setw(14) << setprecision(3) << obs->_o.S2 << endl;
       }
       else if (obs->_o.satSys == 'S') { // SBAS
         _out << obs->_o.satSys 
              << setw(2) << setfill('0') << obs->_o.satNum << setfill(' ')
-             << setw(14) << setprecision(3) << obs->_o.C1 << "  "  
-             << setw(14) << setprecision(3) << obs->_o.P1 << "  "  
-             << setw(14) << setprecision(3) << obs->_o.L1 << lli1
-             << setw(1)                     << obs->_o.SNR1
+             << setw(14) << setprecision(3) << obs->_o.C1 << ' '  << ' '  
+             << setw(14) << setprecision(3) << obs->_o.P1 << ' '  << ' '  
+             << setw(14) << setprecision(3) << obs->_o.L1 << lli1 << ' '
              << setw(14) << setprecision(3) << obs->_o.S1 << endl; 
       }
@@ -666,9 +653,9 @@
         _out << obs->_o.satSys 
              << setw(2) << setfill('0') << obs->_o.satNum << setfill(' ')
-             << setw(14) << setprecision(3) << obs->_o.C1 << "  "  
-             << setw(14) << setprecision(3) << obs->_o.L1 << lli1 << " "
-             << setw(14) << setprecision(3) << obs->_o.S1 << "  " 
-             << setw(14) << setprecision(3) << obs->_o.C5 << "  "  
-             << setw(14) << setprecision(3) << obs->_o.L5 << lli5 << " "
+             << setw(14) << setprecision(3) << obs->_o.C1 << ' '  << ' '  
+             << setw(14) << setprecision(3) << obs->_o.L1 << lli1 << ' '
+             << setw(14) << setprecision(3) << obs->_o.S1 << ' '  << ' ' 
+             << setw(14) << setprecision(3) << obs->_o.C5 << ' '  << ' '  
+             << setw(14) << setprecision(3) << obs->_o.L5 << lli5 << ' '
              << setw(14) << setprecision(3) << obs->_o.S5 << endl; 
       }
@@ -678,17 +665,12 @@
     // ---------------
     else {
-      char lli = ' ';
-      char snr = ' ';
-      _out << setw(14) << setprecision(3) << obs->_o.C1 << lli << snr;
-      _out << setw(14) << setprecision(3) << obs->_o.C2 << lli << snr;
-      _out << setw(14) << setprecision(3) << obs->_o.P1 << lli << snr;
-      _out << setw(14) << setprecision(3) << obs->_o.P2 << lli << snr; 
-      _out << setw(14) << setprecision(3) << obs->_o.L1 << lli1
-           << setw(1) << obs->_o.SNR1 << endl;
-      _out << setw(14) << setprecision(3) << obs->_o.L2 << lli2
-           << setw(1) << obs->_o.SNR2;
-      _out << setw(14) << setprecision(3) << obs->_o.S1 ;
-      _out << setw(16) << setprecision(3) << obs->_o.S2 ;
-      _out << endl;
+      _out << setw(14) << setprecision(3) << obs->_o.C1 << ' '  << ' '
+           << setw(14) << setprecision(3) << obs->_o.P1 << ' '  << ' '
+           << setw(14) << setprecision(3) << obs->_o.L1 << lli1 << ' '
+           << setw(14) << setprecision(3) << obs->_o.S1 << ' '  << ' '
+           << setw(14) << setprecision(3) << obs->_o.C2 << ' '  << ' ' << endl
+           << setw(14) << setprecision(3) << obs->_o.P2 << ' '  << ' ' 
+           << setw(14) << setprecision(3) << obs->_o.L2 << lli2 << ' '
+           << setw(16) << setprecision(3) << obs->_o.S2 << endl;
     }
 