Index: /trunk/BNC/GPSS/gpssDecoder.cpp
===================================================================
--- /trunk/BNC/GPSS/gpssDecoder.cpp	(revision 2709)
+++ /trunk/BNC/GPSS/gpssDecoder.cpp	(revision 2710)
@@ -21,8 +21,8 @@
 using namespace std;
 
-typedef struct epochHeader {
+struct t_epochHeader {
   double t_epoch;
   int    n_svs;
-} EPOCHHEADER;
+};
 
 // Cyclic Redundancy Check
@@ -80,8 +80,8 @@
     if      (_buffer.length() > 0 && char(_buffer[1]) == 0x00) {
 
-      int reqLength = 2 + sizeof(recordSize) + sizeof(EPOCHHEADER);
+      int reqLength = 2 + sizeof(recordSize) + sizeof(t_epochHeader);
 
       if (_buffer.length() >= reqLength) {
-        EPOCHHEADER epochHdr;
+        t_epochHeader epochHdr;
         memcpy(&epochHdr, _buffer.data() + 2 + sizeof(recordSize), 
                sizeof(epochHdr));
@@ -91,5 +91,5 @@
         if (_buffer.length() >= reqLength) {
 
-          int checkLen = 2 + sizeof(recordSize) + sizeof(EPOCHHEADER) + 
+          int checkLen = 2 + sizeof(recordSize) + sizeof(t_epochHeader) + 
                          epochHdr.n_svs * sizeof(t_obs);
           memcpy(&crc, _buffer.data() + checkLen, sizeof(crc));
Index: /trunk/BNC/RTCM/GPSDecoder.h
===================================================================
--- /trunk/BNC/RTCM/GPSDecoder.h	(revision 2709)
+++ /trunk/BNC/RTCM/GPSDecoder.h	(revision 2710)
@@ -114,6 +114,4 @@
 };
 
-typedef t_obs* p_obs;
-
 class GPSDecoder {
  public:
@@ -121,7 +119,7 @@
 
   virtual ~GPSDecoder() {
-    QListIterator<p_obs> it(_obsList);
+    QListIterator<t_obs*> it(_obsList);
     while (it.hasNext()) {
-      p_obs obs = it.next();
+      t_obs* obs = it.next();
       if (obs && obs->_status == t_obs::initial) {
         delete obs;
@@ -151,5 +149,5 @@
   };
 
-  QList<p_obs>     _obsList;
+  QList<t_obs*>    _obsList;
   QList<int>       _typeList;  // RTCM   message types
   QStringList      _antType;   // RTCM   antenna descriptor
Index: /trunk/BNC/RTCM/RTCM2Decoder.cpp
===================================================================
--- /trunk/BNC/RTCM/RTCM2Decoder.cpp	(revision 2709)
+++ /trunk/BNC/RTCM/RTCM2Decoder.cpp	(revision 2710)
@@ -140,5 +140,5 @@
           
         for (int iSat=0; iSat < _ObsBlock.nSat; iSat++) {
-          p_obs obs = new t_obs();
+          t_obs* obs = new t_obs();
           _obsList.push_back(obs);
           if (_ObsBlock.PRN[iSat] > 100) {
@@ -314,5 +314,5 @@
 
     // new observation
-    p_obs new_obs = 0;
+    t_obs* new_obs = 0;
 
     // missing IOD
Index: /trunk/BNC/RTCM3/RTCM3Decoder.cpp
===================================================================
--- /trunk/BNC/RTCM3/RTCM3Decoder.cpp	(revision 2709)
+++ /trunk/BNC/RTCM3/RTCM3Decoder.cpp	(revision 2710)
@@ -237,6 +237,6 @@
             for (int iSat = 0; iSat < gnssData.numsats; iSat++) {
 
-              p_obs obs   = new t_obs();
-              int   satID = gnssData.satellites[iSat];
+              t_obs* obs   = new t_obs();
+              int    satID = gnssData.satellites[iSat];
 
               // GPS
Index: /trunk/BNC/RTIGS/RTIGSDecoder.cpp
===================================================================
--- /trunk/BNC/RTIGS/RTIGSDecoder.cpp	(revision 2709)
+++ /trunk/BNC/RTIGS/RTIGSDecoder.cpp	(revision 2710)
@@ -116,5 +116,5 @@
 
     for (short ii = 0; ii < numObs; ii++) {
-      p_obs obs = new t_obs();
+      t_obs* obs = new t_obs();
       _obsList.push_back(obs);
       obs->satSys   = 'G';
Index: /trunk/BNC/bnccaster.cpp
===================================================================
--- /trunk/BNC/bnccaster.cpp	(revision 2709)
+++ /trunk/BNC/bnccaster.cpp	(revision 2710)
@@ -171,5 +171,5 @@
   }
 
-  _epochs = new QMultiMap<long, p_obs>;
+  _epochs = new QMultiMap<long, t_obs*>;
 
   _lastDumpSec   = 0; 
@@ -198,5 +198,5 @@
   delete _nmeaSockets;
   if (_epochs) {
-    QListIterator<p_obs> it(_epochs->values());
+    QListIterator<t_obs*> it(_epochs->values());
     while (it.hasNext()) {
       delete it.next();
@@ -208,5 +208,5 @@
 // New Observations
 ////////////////////////////////////////////////////////////////////////////
-void bncCaster::newObs(const QByteArray staID, bool firstObs, p_obs obs) {
+void bncCaster::newObs(const QByteArray staID, bool firstObs, t_obs* obs) {
 
   QMutexLocker locker(&_mutex);
@@ -323,10 +323,10 @@
 void bncCaster::addGetThread(bncGetThread* getThread, bool noNewThread) {
 
-  qRegisterMetaType<p_obs>("p_obs");
+  ////  qRegisterMetaType<t_obs*>("p_obs");
   qRegisterMetaType<gpsephemeris>("gpsephemeris");
   qRegisterMetaType<glonassephemeris>("glonassephemeris");
 
-  connect(getThread, SIGNAL(newObs(QByteArray, bool, p_obs)),
-          this,      SLOT(newObs(QByteArray, bool, p_obs))); /// Qt::DirectConnection);
+  connect(getThread, SIGNAL(newObs(QByteArray, bool, t_obs*)),
+          this,      SLOT(newObs(QByteArray, bool, t_obs*))); /// Qt::DirectConnection);
 
   connect(getThread, SIGNAL(getThreadFinished(QByteArray)), 
@@ -385,9 +385,9 @@
 
     bool first = true;
-    QList<p_obs> allObs = _epochs->values(sec);
-
-    QListIterator<p_obs> it(allObs);
+    QList<t_obs*> allObs = _epochs->values(sec);
+
+    QListIterator<t_obs*> it(allObs);
     while (it.hasNext()) {
-      p_obs obs = it.next();
+      t_obs* obs = it.next();
 
       if (_samplingRate == 0 || sec % _samplingRate == 0) {
Index: /trunk/BNC/bnccaster.h
===================================================================
--- /trunk/BNC/bnccaster.h	(revision 2709)
+++ /trunk/BNC/bnccaster.h	(revision 2710)
@@ -44,5 +44,5 @@
 
  public slots:
-   void newObs(QByteArray staID, bool firstObs, p_obs obs);
+   void newObs(QByteArray staID, bool firstObs, t_obs* obs);
    void slotReadMountPoints();
    void slotNewNMEAstr(QByteArray str);
@@ -63,21 +63,21 @@
    static int myWrite(QTcpSocket* sock, const char* buf, int bufLen);
 
-   QFile*                  _outFile;
-   int                     _port;
-   QTextStream*            _out;
-   QMultiMap<long, p_obs>* _epochs;
-   long                    _lastDumpSec;
-   QTcpServer*             _server;
-   QTcpServer*             _uServer;
-   QTcpServer*             _nmeaServer;
-   QList<QTcpSocket*>*     _sockets;
-   QList<QTcpSocket*>*     _uSockets;
-   QList<QTcpSocket*>*     _nmeaSockets;
-   QList<QByteArray>       _staIDs;
-   QList<bncGetThread*>    _threads;
-   int                     _samplingRate;
-   long                    _waitTime;
-   QMutex                  _mutex;
-   int                     _confInterval;
+   QFile*                   _outFile;
+   int                      _port;
+   QTextStream*             _out;
+   QMultiMap<long, t_obs*>* _epochs;
+   long                     _lastDumpSec;
+   QTcpServer*              _server;
+   QTcpServer*              _uServer;
+   QTcpServer*              _nmeaServer;
+   QList<QTcpSocket*>*      _sockets;
+   QList<QTcpSocket*>*      _uSockets;
+   QList<QTcpSocket*>*      _nmeaSockets;
+   QList<QByteArray>        _staIDs;
+   QList<bncGetThread*>     _threads;
+   int                      _samplingRate;
+   long                     _waitTime;
+   QMutex                   _mutex;
+   int                      _confInterval;
 };
 
Index: /trunk/BNC/bncgetthread.cpp
===================================================================
--- /trunk/BNC/bncgetthread.cpp	(revision 2709)
+++ /trunk/BNC/bncgetthread.cpp	(revision 2710)
@@ -374,5 +374,5 @@
       // Delete old observations
       // -----------------------
-      QListIterator<p_obs> itOld(_decoder->_obsList);
+      QListIterator<t_obs*> itOld(_decoder->_obsList);
       while (itOld.hasNext()) {
         delete itOld.next();
@@ -439,7 +439,7 @@
       // Loop over all observations (observations output)
       // ------------------------------------------------
-      QListIterator<p_obs> it(_decoder->_obsList);
+      QListIterator<t_obs*> it(_decoder->_obsList);
       while (it.hasNext()) {
-        p_obs obs = it.next();
+        t_obs* obs = it.next();
       
         // Check observation epoch
Index: /trunk/BNC/bncgetthread.h
===================================================================
--- /trunk/BNC/bncgetthread.h	(revision 2709)
+++ /trunk/BNC/bncgetthread.h	(revision 2710)
@@ -79,5 +79,5 @@
    void newBytes(QByteArray staID, double nbyte);
    void newLatency(QByteArray staID, double clate);
-   void newObs(QByteArray staID, bool firstObs, p_obs obs);
+   void newObs(QByteArray staID, bool firstObs, t_obs* obs);
    void newAntCrd(QByteArray staID, double xx, double yy, double zz, QByteArray antType);
    void newMessage(QByteArray msg, bool showOnScreen);
Index: /trunk/BNC/bncpppclient.cpp
===================================================================
--- /trunk/BNC/bncpppclient.cpp	(revision 2709)
+++ /trunk/BNC/bncpppclient.cpp	(revision 2710)
@@ -119,5 +119,5 @@
 //
 ////////////////////////////////////////////////////////////////////////////
-void bncPPPclient::putNewObs(p_obs obs) {
+void bncPPPclient::putNewObs(t_obs* obs) {
   QMutexLocker locker(&_mutex);
 
Index: /trunk/BNC/bncpppclient.h
===================================================================
--- /trunk/BNC/bncpppclient.h	(revision 2709)
+++ /trunk/BNC/bncpppclient.h	(revision 2710)
@@ -120,5 +120,5 @@
   bncPPPclient(QByteArray staID);
   ~bncPPPclient();
-  void putNewObs(p_obs pp);
+  void putNewObs(t_obs* pp);
 
  public slots:
Index: /trunk/BNC/bncrinex.cpp
===================================================================
--- /trunk/BNC/bncrinex.cpp	(revision 2709)
+++ /trunk/BNC/bncrinex.cpp	(revision 2710)
@@ -107,5 +107,5 @@
 ////////////////////////////////////////////////////////////////////////////
 bncRinex::~bncRinex() {
-  QListIterator<p_obs> it(_obs);
+  QListIterator<t_obs*> it(_obs);
   while (it.hasNext()) {
     delete it.next();
@@ -518,6 +518,6 @@
 // Stores Observation into Internal Array
 ////////////////////////////////////////////////////////////////////////////
-void bncRinex::deepCopy(const p_obs obs) {
-  p_obs newObs = new t_obs();
+void bncRinex::deepCopy(const t_obs* obs) {
+  t_obs* newObs = new t_obs();
   memcpy(newObs, obs, sizeof(t_obs));
   _obs.push_back(newObs);
@@ -530,8 +530,8 @@
   // Select observations older than maxTime
   // --------------------------------------
-  QList<p_obs> dumpList;
-  QMutableListIterator<p_obs> mIt(_obs);
+  QList<t_obs*> dumpList;
+  QMutableListIterator<t_obs*> mIt(_obs);
   while (mIt.hasNext()) {
-    p_obs obs = mIt.next();
+    t_obs* obs = mIt.next();
     if (obs->GPSWeek * 7*24*3600 + obs->GPSWeeks < maxTime - 0.05) {
       dumpList.push_back(obs);
@@ -548,5 +548,5 @@
   // Time of Epoch
   // -------------
-  p_obs fObs = *dumpList.begin();
+  t_obs* fObs = *dumpList.begin();
   QDateTime datTim    = dateAndTimeFromGPSweek(fObs->GPSWeek, fObs->GPSWeeks);
   QDateTime datTimNom = dateAndTimeFromGPSweek(fObs->GPSWeek, 
@@ -582,8 +582,8 @@
          << "  " << 0 << setw(3)  << dumpList.size();
 
-    QListIterator<p_obs> it(dumpList); int iSat = 0;
+    QListIterator<t_obs*> it(dumpList); int iSat = 0;
     while (it.hasNext()) {
       iSat++;
-      p_obs obs = it.next();
+      t_obs* obs = it.next();
       _out << obs->satSys << setw(2) << obs->satNum;
       if (iSat == 12 && it.hasNext()) {
@@ -595,7 +595,7 @@
   }
 
-  QListIterator<p_obs> it(dumpList);
+  QListIterator<t_obs*> it(dumpList);
   while (it.hasNext()) {
-    p_obs obs = it.next();
+    t_obs* obs = it.next();
 
     // Cycle slips detection
Index: /trunk/BNC/bncrinex.h
===================================================================
--- /trunk/BNC/bncrinex.h	(revision 2709)
+++ /trunk/BNC/bncrinex.h	(revision 2710)
@@ -42,5 +42,5 @@
             const QByteArray& ntripVersion); 
    ~bncRinex();
-   void deepCopy(const p_obs obs);
+   void deepCopy(const t_obs* obs);
    void dumpEpoch(long maxTime);
    void setReconnectFlag(bool flag){_reconnectFlag = flag;}
@@ -67,5 +67,5 @@
    QByteArray    _statID;
    QByteArray    _fName;
-   QList<p_obs>  _obs;
+   QList<t_obs*> _obs;
    std::ofstream _out;
    QStringList   _headerLines;
Index: /trunk/BNC/latencychecker.cpp
===================================================================
--- /trunk/BNC/latencychecker.cpp	(revision 2709)
+++ /trunk/BNC/latencychecker.cpp	(revision 2710)
@@ -307,11 +307,11 @@
 // Perform latency checks (observations)
 //////////////////////////////////////////////////////////////////////////////
-void latencyChecker::checkObsLatency(const QList<p_obs>& obsList) {
+void latencyChecker::checkObsLatency(const QList<t_obs*>& obsList) {
 
   if (_perfIntr > 0 ) {
 
-    QListIterator<p_obs> it(obsList);
+    QListIterator<t_obs*> it(obsList);
     while (it.hasNext()) {
-      p_obs obs = it.next();
+      t_obs* obs = it.next();
       
       _newSecGPS = static_cast<int>(obs->GPSWeeks);
Index: /trunk/BNC/latencychecker.h
===================================================================
--- /trunk/BNC/latencychecker.h	(revision 2709)
+++ /trunk/BNC/latencychecker.h	(revision 2710)
@@ -38,5 +38,5 @@
   void checkReconnect();
   void checkOutage(bool decoded);
-  void checkObsLatency(const QList<p_obs>& obsList);
+  void checkObsLatency(const QList<t_obs*>& obsList);
   void checkCorrLatency(int corrGPSEpochTime);
   double currentLatency() const {return _curLat;}